POST api/mobile/v1/analytics/track?isAjial={isAjial}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
isAjial

boolean

Default value is False

Body Parameters

TrackBatch
NameDescriptionTypeAdditional information
deviceId

string

None.

sessionId

string

None.

userId

integer

None.

platform

string

None.

appVersion

string

None.

lang

string

None.

events

Collection of TrackEvent

None.

Request Formats

application/json, text/json, text/html

Sample:
{
  "deviceId": "sample string 1",
  "sessionId": "sample string 2",
  "userId": 1,
  "platform": "sample string 3",
  "appVersion": "sample string 4",
  "lang": "sample string 5",
  "events": [
    {
      "type": "sample string 1",
      "name": "sample string 2",
      "screen": "sample string 3",
      "product": "sample string 4",
      "durationSec": 1,
      "meta": null,
      "time": "sample string 5",
      "sessionId": "sample string 6"
    },
    {
      "type": "sample string 1",
      "name": "sample string 2",
      "screen": "sample string 3",
      "product": "sample string 4",
      "durationSec": 1,
      "meta": null,
      "time": "sample string 5",
      "sessionId": "sample string 6"
    }
  ]
}

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: Type 'Newtonsoft.Json.Linq.JToken' is a recursive collection data contract which is not supported. Consider modifying the definition of collection 'Newtonsoft.Json.Linq.JToken' to remove references to itself.

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: Type 'Newtonsoft.Json.Linq.JToken' is a recursive collection data contract which is not supported. Consider modifying the definition of collection 'Newtonsoft.Json.Linq.JToken' to remove references to itself.

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'TrackBatch'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.